%global gemdir %(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%global gemname simple-navigation
%global geminstdir %{gemdir}/gems/%{gemname}-%{version}

Summary: Ruby library for creating navigation for your Rails2 or Sinatra application
Name: rubygem-%{gemname}
Version: 3.0.0
Release: 3%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/andi/simple-navigation
Source0: http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem
Requires: ruby(abi) = 1.8
Requires: rubygems
Requires: rubygem(actionpack) >= 2.3.2
Requires: rubygem(activesupport) >= 2.3.2
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rspec) >= 1.2.8
BuildRequires: rubygem(activesupport) >= 2.3.2
BuildRequires: rubygem(actionpack) >= 2.3.2
BuildArch: noarch
Provides: rubygem(%{gemname}) = %{version}

%description
With the simple-navigation gem installed you can easily create multilevel
navigation for your Rails, Sinatra or Padrino applications. The navigation is
global in a single configuration file. It supports automatic as well as
explicit highlighting of the currently active navigation through regular
expressions.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gemdir}
gem install --local --install-dir %{buildroot}%{gemdir} \
            --force --rdoc %{SOURCE0}

%check
pushd %{buildroot}/%{geminstdir}
rake spec --trace
popd

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{geminstdir}
%{geminstdir}/generators
%{geminstdir}/lib
%{geminstdir}/rails
%doc %{geminstdir}/README
%doc %{geminstdir}/VERSION
%doc %{geminstdir}/CHANGELOG
%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%{geminstdir}/spec
%{geminstdir}/Rakefile
%{gemdir}/doc/%{gemname}-%{version}


%changelog
* Mon Oct 11 2010 Michal Fojtik <mfojtik@redhat.com> - 3.0.0-3
- Created -doc subpackage
- Fixed version dependencies
- Removed unused macros

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 3.0.0-2
- Added action_controller dependency

* Sat Oct 02 2010 Michal Fojtik <mfojtik@redhat.com> - 3.0.0-1
- Initial package
